{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
    <div class="smallForm">
        <h2>Register</h2>

        {% for flashError in app.flashes('verify_email_error') %}
        <div class="alert alert-danger" role="alert">{{ flashError }}</div>
        {% endfor %}
        {{ form_start(registrationForm) }}

            {{ form_label(registrationForm.name) }}
            <div class="form-error">
            {{ form_errors(registrationForm.name) }}
            </div>
            {{ form_widget(registrationForm.name) }}

            {{ form_label(registrationForm.email) }}
            <div class="form-error">
            {{ form_errors(registrationForm.email) }}
            </div>
            {{ form_widget(registrationForm.email) }}

            {{ form_label(registrationForm.plainPassword, 'Password') }}
            <div class="form-error">
            {{ form_errors(registrationForm.plainPassword) }}
            </div>
            {{ form_widget(registrationForm.plainPassword) }}

            <button type="submit" class="btn">Register</button>
        {{ form_end(registrationForm) }}

        <div class="linkSignIn">
            <p>Already a StrawPoll member ?</p>
            <button><a href="{{ path('app_login') }}">Sign in</a></button>
        </div>
    </div>
{% endblock %}
